summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
Diffstat (limited to 'utils')
-rwxr-xr-xutils/filtron.sh3
-rwxr-xr-xutils/morty.sh3
2 files changed, 4 insertions, 2 deletions
diff --git a/utils/filtron.sh b/utils/filtron.sh
index 8ad32a31..2536214e 100755
--- a/utils/filtron.sh
+++ b/utils/filtron.sh
@@ -337,7 +337,8 @@ EOF
echo "export SERVICE_HOME=$SERVICE_HOME"
tee_stderr <<EOF | sudo -i -u "$SERVICE_USER"
-grep -qFs -- 'source $GO_ENV' ~/.profile || echo 'source $GO_ENV' >> ~/.profile
+touch "$GO_ENV"
+grep -qFs -- 'source "$GO_ENV"' ~/.profile || echo 'source "$GO_ENV"' >> ~/.profile
EOF
}
diff --git a/utils/morty.sh b/utils/morty.sh
index c1f2bc96..25263a3d 100755
--- a/utils/morty.sh
+++ b/utils/morty.sh
@@ -337,7 +337,8 @@ EOF
echo "export SERVICE_HOME=$SERVICE_HOME"
tee_stderr <<EOF | sudo -i -u "$SERVICE_USER"
-grep -qFs -- 'source $GO_ENV' ~/.profile || echo 'source $GO_ENV' >> ~/.profile
+touch $GO_ENV
+grep -qFs -- 'source "$GO_ENV"' ~/.profile || echo 'source "$GO_ENV"' >> ~/.profile
EOF
}